### Xilinx Processor IP Library

<hl>Software Drivers</hl>

Main Page | Data Structures | File List | Data Fields | Globals

# xintc_g.c File Reference

## Detailed Description

This file contains a configuration table that specifies the configuration of interrupt controller devices in the system.

     MODIFICATION HISTORY:

     Ver   Who  Date     Changes
     ----- ---- -------- -----------------------------------------------
     1.00a rpm  01/09/02 First release
     1.00b jhl  02/21/02 Repartitioned the driver for smaller files
     1.00b jhl  04/24/02 Compressed the ack table into a bit mask.
     1.00c rpm  10/17/03 New release. Support the static vector table created
                         in the xintc_g.c configuration table.
     1.10c mta  03/21/07 Updated to new coding style

## Variables

XIntc_Config | XIntc_ConfigTable [XPAR_XINTC_NUM_INSTANCES]

## Variable Documentation

XIntc_Config XIntc_ConfigTable[XPAR_XINTC_NUM_INSTANCES]

This table contains configuration information for each intc device in the system. The XIntc driver must know when to acknowledge the interrupt. The entry which specifies this as a bit mask where each bit corresponds to a specific interrupt. A bit set indicates to ack it before servicing it. Generally, acknowledge before service is used when the interrupt signal is edge-sensitive, and after when the signal is level-sensitive.

Refer to the XIntc_Config data structure in xintc.h for details on how this table should be initialized.

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.